class ClinicList {
  String? msg;
  int? code;
  List<Data>? data;

  ClinicList({this.msg, this.code, this.data});

  ClinicList.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  String? id;
  int? isDel;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  Null? tenantId;
  String? clinicCode;
  String? clinicName;
  String? clinicIp;
  String? serverPost;
  String? webSocketPost;
  String? serverUser;
  String? serverPassword;
  String? realmName;
  String? creatTime;
  String? expireTime;
  String? versionInfo;
  String? region;
  String? phone;
  String? address;
  String? statusInt;
  String? quota;
  String? serverCode;
  String? versionRefer;
  String? versionRepair;
  String? repairCode;
  Null? pageNum;
  Null? pageSize;
  String? vcode;

  Data(
      {this.id,
        this.isDel,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        this.tenantId,
        this.clinicCode,
        this.clinicName,
        this.clinicIp,
        this.serverPost,
        this.webSocketPost,
        this.serverUser,
        this.serverPassword,
        this.realmName,
        this.creatTime,
        this.expireTime,
        this.versionInfo,
        this.region,
        this.phone,
        this.address,
        this.statusInt,
        this.quota,
        this.serverCode,
        this.versionRefer,
        this.versionRepair,
        this.repairCode,
        this.pageNum,
        this.pageSize,
        this.vcode});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    isDel = json['isDel'];
    createDate = json['createDate'];
    createUser = json['createUser'];
    updateDate = json['updateDate'];
    updateUser = json['updateUser'];
    tenantId = json['tenantId'];
    clinicCode = json['clinicCode'];
    clinicName = json['clinicName'];
    clinicIp = json['clinicIp'];
    serverPost = json['serverPost'];
    webSocketPost = json['webSocketPost'];
    serverUser = json['serverUser'];
    serverPassword = json['serverPassword'];
    realmName = json['realmName'];
    creatTime = json['creatTime'];
    expireTime = json['expireTime'];
    versionInfo = json['versionInfo'];
    region = json['region'];
    phone = json['phone'];
    address = json['address'];
    statusInt = json['statusInt'];
    quota = json['quota'];
    serverCode = json['serverCode'];
    versionRefer = json['versionRefer'];
    versionRepair = json['versionRepair'];
    repairCode = json['repairCode'];
    pageNum = json['pageNum'];
    pageSize = json['pageSize'];
    vcode = json['vcode'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['isDel'] = this.isDel;
    data['createDate'] = this.createDate;
    data['createUser'] = this.createUser;
    data['updateDate'] = this.updateDate;
    data['updateUser'] = this.updateUser;
    data['tenantId'] = this.tenantId;
    data['clinicCode'] = this.clinicCode;
    data['clinicName'] = this.clinicName;
    data['clinicIp'] = this.clinicIp;
    data['serverPost'] = this.serverPost;
    data['webSocketPost'] = this.webSocketPost;
    data['serverUser'] = this.serverUser;
    data['serverPassword'] = this.serverPassword;
    data['realmName'] = this.realmName;
    data['creatTime'] = this.creatTime;
    data['expireTime'] = this.expireTime;
    data['versionInfo'] = this.versionInfo;
    data['region'] = this.region;
    data['phone'] = this.phone;
    data['address'] = this.address;
    data['statusInt'] = this.statusInt;
    data['quota'] = this.quota;
    data['serverCode'] = this.serverCode;
    data['versionRefer'] = this.versionRefer;
    data['versionRepair'] = this.versionRepair;
    data['repairCode'] = this.repairCode;
    data['pageNum'] = this.pageNum;
    data['pageSize'] = this.pageSize;
    data['vcode'] = this.vcode;
    return data;
  }
}
