class ProblemInformationList {
	int? code;
	String? msg;
	List<Data>? data;

	ProblemInformationList({this.code, this.msg, this.data});

	ProblemInformationList.fromJson(Map<String, dynamic> json) {
		code = json['code'];
		msg = json['msg'];
		if (json['data'] != null) {
			data = <Data>[];
			json['data'].forEach((v) {
				data!.add(new Data.fromJson(v));
			});
		}
	}

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['code'] = this.code;
		data['msg'] = this.msg;
		if (this.data != null) {
			data['data'] = this.data!.map((v) => v.toJson()).toList();
		}
		return data;
	}
}

class Data {
	String? id;
	int? type;
	String? alarmContent;
	String? reportedBy;
	Null? videoCode;
	String? reportingTime;
	Null? reportingTimeStr;
	Null? confirmedBy;
	Null? confirmationTime;
	String? assetCode;
	int? state;
	String? parentId;
	Null? handleBy;
	Null? handleDate;
	Null? projectName;
	Null? projectCode;
	String? alarmId;
	Null? tempMeasures;
	Null? planDate;
	String? appointProcessor;
	Null? tempVoiceUrl;
	Null? tempDate;
	Null? voiceUrl;
	Null? measures;
	Null? tempProcessor;
	Null? verifyBy;
	Null? verifyOpinion;
	Null? verifyDate;
	int? verifyType;
	Null? checkFacilitiesName;
	Null? checkType;
	Null? checkPersonnel;
	Null? postPost;
	Null? problemInfoDetailsList;
	Null? procInstId;
	Null? submitTime;
	Null? completeTime;
	Null? auditUsers;
	Null? nextAuditUser;
	Null? status;
	Null? tempProblemInfoDetailsList;
	Null? finishProblemInfoDetailsList;
	Null? repeatPersonInfoList;
	String? titleStr;
	String? locationName;
	Null? messageBox;

	Data(
			{this.id,
				this.type,
				this.alarmContent,
				this.reportedBy,
				this.videoCode,
				this.reportingTime,
				this.reportingTimeStr,
				this.confirmedBy,
				this.confirmationTime,
				this.assetCode,
				this.state,
				this.parentId,
				this.handleBy,
				this.handleDate,
				this.projectName,
				this.projectCode,
				this.alarmId,
				this.tempMeasures,
				this.planDate,
				this.appointProcessor,
				this.tempVoiceUrl,
				this.tempDate,
				this.voiceUrl,
				this.measures,
				this.tempProcessor,
				this.verifyBy,
				this.verifyOpinion,
				this.verifyDate,
				this.verifyType,
				this.checkFacilitiesName,
				this.checkType,
				this.checkPersonnel,
				this.postPost,
				this.problemInfoDetailsList,
				this.procInstId,
				this.submitTime,
				this.completeTime,
				this.auditUsers,
				this.nextAuditUser,
				this.status,
				this.tempProblemInfoDetailsList,
				this.finishProblemInfoDetailsList,
				this.repeatPersonInfoList,
				this.titleStr,
				this.locationName,
				this.messageBox});

	Data.fromJson(Map<String, dynamic> json) {
		id = json['id'];
		type = json['type'];
		alarmContent = json['alarmContent'];
		reportedBy = json['reportedBy'];
		videoCode = json['videoCode'];
		reportingTime = json['reportingTime'];
		reportingTimeStr = json['reportingTimeStr'];
		confirmedBy = json['confirmedBy'];
		confirmationTime = json['confirmationTime'];
		assetCode = json['assetCode'];
		state = json['state'];
		parentId = json['parentId'];
		handleBy = json['handleBy'];
		handleDate = json['handleDate'];
		projectName = json['projectName'];
		projectCode = json['projectCode'];
		alarmId = json['alarmId'];
		tempMeasures = json['tempMeasures'];
		planDate = json['planDate'];
		appointProcessor = json['appointProcessor'];
		tempVoiceUrl = json['tempVoiceUrl'];
		tempDate = json['tempDate'];
		voiceUrl = json['voiceUrl'];
		measures = json['measures'];
		tempProcessor = json['tempProcessor'];
		verifyBy = json['verifyBy'];
		verifyOpinion = json['verifyOpinion'];
		verifyDate = json['verifyDate'];
		verifyType = json['verifyType'];
		checkFacilitiesName = json['checkFacilitiesName'];
		checkType = json['checkType'];
		checkPersonnel = json['checkPersonnel'];
		postPost = json['postPost'];
		problemInfoDetailsList = json['problemInfoDetailsList'];
		procInstId = json['procInstId'];
		submitTime = json['submitTime'];
		completeTime = json['completeTime'];
		auditUsers = json['auditUsers'];
		nextAuditUser = json['nextAuditUser'];
		status = json['status'];
		tempProblemInfoDetailsList = json['tempProblemInfoDetailsList'];
		finishProblemInfoDetailsList = json['finishProblemInfoDetailsList'];
		repeatPersonInfoList = json['repeatPersonInfoList'];
		titleStr = json['titleStr'];
		locationName = json['locationName'];
		messageBox = json['messageBox'];
	}

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();
		data['id'] = this.id;
		data['type'] = this.type;
		data['alarmContent'] = this.alarmContent;
		data['reportedBy'] = this.reportedBy;
		data['videoCode'] = this.videoCode;
		data['reportingTime'] = this.reportingTime;
		data['reportingTimeStr'] = this.reportingTimeStr;
		data['confirmedBy'] = this.confirmedBy;
		data['confirmationTime'] = this.confirmationTime;
		data['assetCode'] = this.assetCode;
		data['state'] = this.state;
		data['parentId'] = this.parentId;
		data['handleBy'] = this.handleBy;
		data['handleDate'] = this.handleDate;
		data['projectName'] = this.projectName;
		data['projectCode'] = this.projectCode;
		data['alarmId'] = this.alarmId;
		data['tempMeasures'] = this.tempMeasures;
		data['planDate'] = this.planDate;
		data['appointProcessor'] = this.appointProcessor;
		data['tempVoiceUrl'] = this.tempVoiceUrl;
		data['tempDate'] = this.tempDate;
		data['voiceUrl'] = this.voiceUrl;
		data['measures'] = this.measures;
		data['tempProcessor'] = this.tempProcessor;
		data['verifyBy'] = this.verifyBy;
		data['verifyOpinion'] = this.verifyOpinion;
		data['verifyDate'] = this.verifyDate;
		data['verifyType'] = this.verifyType;
		data['checkFacilitiesName'] = this.checkFacilitiesName;
		data['checkType'] = this.checkType;
		data['checkPersonnel'] = this.checkPersonnel;
		data['postPost'] = this.postPost;
		data['problemInfoDetailsList'] = this.problemInfoDetailsList;
		data['procInstId'] = this.procInstId;
		data['submitTime'] = this.submitTime;
		data['completeTime'] = this.completeTime;
		data['auditUsers'] = this.auditUsers;
		data['nextAuditUser'] = this.nextAuditUser;
		data['status'] = this.status;
		data['tempProblemInfoDetailsList'] = this.tempProblemInfoDetailsList;
		data['finishProblemInfoDetailsList'] = this.finishProblemInfoDetailsList;
		data['repeatPersonInfoList'] = this.repeatPersonInfoList;
		data['titleStr'] = this.titleStr;
		data['locationName'] = this.locationName;
		data['messageBox'] = this.messageBox;
		return data;
	}
}
